Unable to Upgrade Error - Incorrect Parameters for GPO Upgrade
search cancel

Unable to Upgrade Error - Incorrect Parameters for GPO Upgrade

book

Article ID: 285064

calendar_today

Updated On:

Products

Carbon Black Cloud Endpoint Standard (formerly Cb Defense) Carbon Black Cloud Enterprise EDR (formerly Cb Threathunter)

Issue/Introduction

  • Sensor originally installed using Group Policy Object (GPO)
  • Upgrade from Web Console fails, current version not upgraded
  • Manual upgrade fails, current version not upgraded
  • The msi install log displays the following error 
CA:InstallPreCheck:  Error 0x8000ffff: Incorrect parameters for GPO upgrade.
OR
CAInstallPreCheck: DENY GPO upgrade. Incorrect parameters for GPO upgrade.

Environment

 
  • Carbon Black Cloud Sensor: All Supported Versions 
  • Microsoft Windows: All Supported Versions
  • Initial Deployment via Group Policy Object (GPO)

Cause

Carbon Black Cloud Sensor 3.2.x.x introduced additional checks prior to the upgrade to verify that Sensors initially installed via GPO are configured by GPO to allow updates the be pushed from the Cloud or installed manually.

Resolution

There are two options to update Sensors initially deployed via GPO:

  • Follow the steps outlined in https://community.carbonblack.com/t5/Knowledge-Base/Cb-Defense-How-to-Configure-GPO-to-Allow-Sensor-Upgrades/ta-p/40766 to be able to push the update from the Web Console
  • Download the new Sensor version and push the update out via GPO